/*
Core

Testing UserProfileAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package coreapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/coreapi"
)

func Test_coreapi_UserProfileAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test UserProfileAPIService AddUserContactSegment", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string
		var cid string

		httpRes, err := apiClient.UserProfileAPI.AddUserContactSegment(context.Background(), oid, cid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService AddWebPushSubscription", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.AddWebPushSubscription(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService AssignUserMessengerToContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string
		var cid string
		var mid string

		httpRes, err := apiClient.UserProfileAPI.AssignUserMessengerToContact(context.Background(), oid, cid, mid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService CreateUserContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.UserProfileAPI.CreateUserContact(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService CreateUserMessenger", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.CreateUserMessenger(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService DeleteUserContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string
		var cid string

		httpRes, err := apiClient.UserProfileAPI.DeleteUserContact(context.Background(), oid, cid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService DeleteUserMessenger", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var mid string

		httpRes, err := apiClient.UserProfileAPI.DeleteUserMessenger(context.Background(), mid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService GetMe", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.GetMe(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService GetMeEntrypoints", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.GetMeEntrypoints(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService GetSupportOrganizationID", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.GetSupportOrganizationID(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService GetUserMessengers", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.GetUserMessengers(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService GetWidgetToken", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		httpRes, err := apiClient.UserProfileAPI.GetWidgetToken(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService ListUserContacts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.UserProfileAPI.ListUserContacts(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService PostMeEntrypoints", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.PostMeEntrypoints(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UserProfileAPIService RemoveWebPushSubscription", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UserProfileAPI.RemoveWebPushSubscription(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
